<!doctype html>
<html>
  <head>
    <title>Příklady PHP</title>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="ukazky.css">
  </head>
  <body>
  <div>
    <header>PHP výpisy - databáze výrobky</header>
    <nav><?php include "menu.php"; ?></nav>
    <article>
    <h1>Výpis dat z databáze s omezeným počtem záznamů na stránku</h1>
    <?php
    //připojení k MySQL
    include "spojeni.php";
    //získání čísla stránky po kliknutí na odkaz na předchozí či další stránku
    if(isset($_GET["strana"])){
      $strana=strval($_GET["strana"]);  // převedení na číslo
    }
    else {$strana=1;}
    //načtení dat z tabulek
    $dotaz=$spojeni->prepare("SELECT kategorie.kategorie,vyrobci.nazev AS znacka,vyrobky.nazev,cena FROM vyrobky JOIN kategorie ON vyrobky.id_kategorie=kategorie.id JOIN vyrobci ON vyrobky.id_vyrobce=vyrobci.id ORDER BY vyrobky.nazev LIMIT ".($strana*10-10).",10");
    $dotaz->bind_result($kategorie,$znacka,$nazev,$cena);
    $dotaz->execute();
    //výpis dat do tabulky
    echo "<table>";
    echo "<tr><th>Kategorie</th><th>Značka</th><th>Název</th><th>Cena</th></tr>\n";
    while($dotaz->fetch()){
      echo "<tr><td>$kategorie</td><td>$znacka</td><td>$nazev</td><td>$cena</td></tr>\n";
    }
    echo "</table>";
    //odkazy na předchozí a další stránku
    echo "<div class='stranky'>";
    if($strana>1){echo "<a href='strankovani.php?strana=".($strana-1)."'>«&nbsp;předchozí</a>";}
    echo "<span>strana $strana</span>";
    $dotaz->store_result();
    //echo $dotaz->num_rows;
    //if($dotaz->num_rows==10){echo "<a href='strankovani.php?strana=".($strana+1)."'>další&nbsp;»</a>";}
    echo "<a href='strankovani.php?strana=".($strana+1)."'>další&nbsp;»</a>";
    echo "</div>";
    $dotaz->close();
    ?>
    </article>
  </div>
  </body>
</html>
