-- phpMyAdmin SQL Dump
-- version 4.6.4
-- https://www.phpmyadmin.net/
--
-- Počítač: 127.0.0.1
-- Vytvořeno: Pon 13. bře 2017, 18:31
-- Verze serveru: 5.7.14
-- Verze PHP: 5.6.25

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Databáze: `vyrobky`
--
CREATE DATABASE IF NOT EXISTS `vyrobky` DEFAULT CHARACTER SET utf8 COLLATE utf8_czech_ci;
USE `vyrobky`;

-- --------------------------------------------------------

--
-- Struktura tabulky `kategorie`
--

CREATE TABLE `kategorie` (
  `id` int(5) UNSIGNED NOT NULL,
  `kategorie` varchar(20) COLLATE utf8_czech_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `kategorie`
--

INSERT INTO `kategorie` (`id`, `kategorie`) VALUES
(1, 'monitory'),
(2, 'klávesnice'),
(3, 'tiskárny'),
(4, 'notebooky'),
(5, 'počítače');

-- --------------------------------------------------------

--
-- Struktura tabulky `uzivatele`
--

CREATE TABLE `uzivatele` (
  `id` tinyint(3) UNSIGNED NOT NULL,
  `jmeno` varchar(20) COLLATE utf8_czech_ci NOT NULL,
  `heslo` char(32) COLLATE utf8_czech_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `uzivatele`
--

INSERT INTO `uzivatele` (`id`, `jmeno`, `heslo`) VALUES
(1, 'reslova', '9439aec52eb100234ad0d3bf4471b575'),
(2, 'novak', '6d55e02f385f45605879fbeb1bb42fb9');

-- --------------------------------------------------------

--
-- Struktura tabulky `vyrobci`
--

CREATE TABLE `vyrobci` (
  `id` int(5) UNSIGNED NOT NULL,
  `nazev` varchar(20) COLLATE utf8_czech_ci NOT NULL,
  `www` varchar(50) COLLATE utf8_czech_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `vyrobci`
--

INSERT INTO `vyrobci` (`id`, `nazev`, `www`) VALUES
(1, 'Acer', ''),
(2, 'HP', ''),
(3, 'Canon', ''),
(4, 'Dell', ''),
(5, 'Samsung', ''),
(6, 'Sony', ''),
(7, 'Razer', ''),
(8, 'Logitech', ''),
(9, 'Fujitsu-Siemens', ''),
(10, 'Roccat', ''),
(11, 'Lenovo', ''),
(12, 'BenQ', ''),
(13, 'Gigabyte', ''),
(14, 'Toshiba', ''),
(15, 'Epson', ''),
(16, 'Brother', ''),
(17, 'Coolermaster', ''),
(18, 'Intel', ''),
(19, 'Asus', ''),
(20, 'LG', '');

-- --------------------------------------------------------

--
-- Struktura tabulky `vyrobky`
--

CREATE TABLE `vyrobky` (
  `id` int(10) UNSIGNED NOT NULL,
  `id_kategorie` int(5) UNSIGNED NOT NULL,
  `id_vyrobce` int(5) UNSIGNED NOT NULL,
  `nazev` varchar(30) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `cena` int(10) UNSIGNED NOT NULL,
  `stav` char(1) COLLATE utf8_czech_ci DEFAULT 'n' COMMENT 'n-nové zboží, v-vystavené, r-rozbalené, o-opravené',
  `skladem` tinyint(1) NOT NULL,
  `popis` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Vypisuji data pro tabulku `vyrobky`
--

INSERT INTO `vyrobky` (`id`, `id_kategorie`, `id_vyrobce`, `nazev`, `cena`, `stav`, `skladem`, `popis`) VALUES
(1, 4, 19, 'Notebook ASUS XK-5000', 15600, 'n', 1, 'Notebook ASUS XK-5000, 15,6" displej, 4GB RAM, 500GB HDD, DVD +- RAM, WiFi, dlouhá výdrž'),
(2, 4, 1, 'ACER WC-20', 10000, 'r', 0, 'RTFM!\r\nRozbalený, záruka 10 měsíců.'),
(3, 4, 19, 'ASUS EEE', 8900, 'n', 1, 'Mini notebook s cool vzhledem a výdrží až 10 hodin'),
(4, 3, 3, 'CANON 1560XXL', 3299, 'v', 1, 'Multifunkční inkoustová tiskárna.\r\nVystavené zboží - sleva 20%.'),
(5, 3, 2, 'HP 45K', 4500, 'n', 1, 'Laserová tiskárna vhodná pro kancelářské použití'),
(6, 1, 20, 'LG CoolView', 18900, 'n', 0, 'LCD monitor s mnoha možnostmi a výborným podáním barev'),
(7, 1, 4, 'DELL stuff_5400', 9870, 'n', 1, 'Obyčejný monitor pro domácí použití.'),
(8, 5, 7, 'S12', 28499, 'n', 1, 'Domácí počítač Samsung S12 využitelný ke hrám i kancelářské práci. Windows 7 Home Premium'),
(9, 5, 4, 'DELL FUN500', 56000, 'n', 0, 'Výkonný počítač s 64-bitovou verzí systému Windows 7 Profi'),
(10, 2, 4, 'Dell KeyTech', 899, 'o', 1, 'Opravená, bez záruky, sleva 40%.'),
(11, 2, 20, 'LG 1000', 500, 'n', 1, 'Pohodlná klávesnice s moderním designem a vynikajícími vlastnostmi.'),
(12, 2, 5, 'Samsung 1250', 130, 'n', 1, 'Obyčejná klávesnice pro domácí použití.'),
(13, 4, 11, 'LENOVO ThinkPad Edge', 7800, 'n', 1, 'Plně vybavený a po všech stranách výkonný počítač LENOVO ThinkPad Edge E420 1141-7BG  v kompaktním formátu, takže Vás může doprovázet svými službami každý den, a v této verzi s 6 článkovou baterií dokonce až na 5 hodin. Je tedy vhodný pro pracovité jedince vyžadující spolehlivý výkon a flexibilní použití na cestách, ale kteří si také rádi vychutnají poutavé grafické aplikace.\r\nNotebook je rozměrově přizpůsobený matnému displeji o úhlopříčce 14" s HD Ready rozlišením 1366x768 a úsporným LED podsvícením. Díky této velikosti je notebook výtečně osazený a nechybí ani multiformátová DVD vypalovací mechanika a čtečka paměťových karet.'),
(14, 4, 1, 'ACER Aspire 5750G-24', 6500, 'n', 0, 'Notebook s moderní výkonnou výbavou pro potěšení všech druhů náročných uživatelů včetně herních nadšenců, kteří si rádi vychutnávají uhlazenou grafickou stránku. Tu si vychutnáte na prvotřídním LCD displeji CrystalBrite o úhlopříčce 15,6" s LED podsvícením a v oblíbeném širokoúhlém rozlišení HD Ready. V tomto HD Ready rozlišení si užijete mnohé počítačové hry s grafickými detaily, díky osazenému grafickému čipu NVIDIA GeForce GT520M s vlastním zásobením daty pomocí 1 GB paměti. Ani přes tento výkonný hardware není u notebooku ACER Aspire 5750G-2414G64Mnrr vyloučeno mobilní použití.'),
(15, 4, 14, 'TOSHIBA Satellite L7', 16999, 'n', 1, 'Stylový, moderní a vysokým multimediálním výkonem atraktivní notebook Toshiba jako plnohodnotná náhrada stolního počítače i pro náročnější uživatele hrající počítačové hry, kteří vyžadují pouze příležitostné přenášení svého stroje pro zábavu i práci.\r\nI přes ucházející výkon a větší rozměry displeje se notebook TOSHIBA Satellite L770-118 může pochlubit výdrží na dodávanou baterii až 3,5 hodiny. Počítač je postaven na LCD displeji TruBrite o úhlopříčce 17,3" v širokoúhlém rozlišení 1600 x 900 a s LED podsvícením pro úsporu energie i lepší obrazové vlastnosti. Notebook je osazen klávesnicí s numerickou částí, vícedotykovým touchpadem a pevným diskem s kapacitou 640 GB, kam se vejde velké množství her, dokumentů a nejrůznějších multimédií. Komunikační schopnosti jsou zastoupené síťovou kartou a bezdrátovou WiFi. '),
(16, 1, 2, '21.5" HP ZR22w', 6083, 'n', 0, 'Profesionální širokoúhlý LCD displej s technologií S-IPS poskytující perfektně probarvený obraz na úhlopříčce 21,5", který ocení uživatelé pracující zejména s grafikou. Povrch obrazovky je opatřen speciální antireflexní vrstvou zaručující čistý a jasný obraz.\r\nMaximální podporované rozlišení je Full HD, tedy 1920 x 1080 bodů, dynamický kontrast dosahuje 3000:1, doba odezvy slušných 8 ms a velmi široký pozorovací úhel Vás nebude omezovat kvalitou. Panel je vybaven tenkým rámečkem a výškově nastavitelným podstavcem s možností natočení a otočení.\r\nKromě standardního D-Sub a digitálního konektoru DVI-I zde naleznete také moderní DisplayPort. Výhodou je rovněž USB rozbočovač se 4 konektory. Díky těmto vlastnostem je displej určen pro náročnější používání. Panel splňuje ergonomickou normu TCO 05 která zaručuje uživatelské pohodlí a bezpečnost. Displej je dodáván v atraktivním černém provedení. '),
(17, 1, 12, 'BenQ EW2420', 4727, 'n', 1, 'Krásný LCD monitor s LED podsvícením splňující novou verzi standardu TCO 5.0, která zaručuje nejen vynikající kvalitu obrazu a ergonomické vlastnosti monitoru, ale také nejnižší spotřebu energie a minimální využívání ekologicky nešetrných látek a materiálů.\r\nTento model je určen pro maximální požitky z audiovizuální zábavy. Velkou výhodou tohoto displeje je kombinace profesionální technologie MVA s moderním LED podsvícení. Společnost BenQ s touto unikátní kombinací přišla jako první na světě. Pro uživatele to znamená dokonalé podání obrazu společně s úsporným provozem díky LED podsvícení.'),
(18, 2, 13, 'GIGABYTE GK-KM5200', 287, 'n', 0, 'Set klávesnice a myši v elegantním černém designu, který osloví nejen více než přívětivou cenou, ale i komfortním a odolným provedením. Klávesnice s tradičním počtem kláves a jejich rozložením zaujme odolností proti polití tekutinou až do 60 ml a otěruvzdornými popisky. Myš s optickým snímačem s rozlišením 800 dpi vyhoví pravé i levé dlani a zaručí přesný a plynulý pohyb kurzoru.\r\nPro připojení k počítači budete potřebovat dvojici USB portů.'),
(19, 2, 17, 'Coolermaster Slim X ', 407, 'v', 1, 'Vynikající set plnohodnotné klávesnice a optické myši v atraktivním černém designu. Set je svým ergonomickým zpracováním ideální pro každodenní komfortní využití.\r\nUltra tenkou klávesnici zdobí stříbrný lem a je tak perfektním módním doplňkem pro LCD monitory a počítačové skříně. Krom 109 kláves nabídne 3 tlačítka pro rychlé spuštění webového prohlížeče, e-mailového klienta a pro vyhledávání. Tuto trojici doplňuje čtveřice multimediálních tlačítek pro regulaci zvuku, vypnutí zvuku a spuštění přehrávání hudby či videa.\r\nStylová myš upoutá pozornost moderním zpracováním z mysticky modře podsvíceným kolečkem. Poskytne rozlišení 800 dpi, které bohatě postačí pro obsluhu běžných aplikací, stejně jako 3 tlačítka. Myš i klávesnici připojíte k počítači pomocí rozhraní USB.'),
(20, 3, 15, 'EPSON AcuLaser C1600', 1999, 'n', 1, 'Kvalitní, kompaktní i cenově atraktivní barevná laserová tiskárna formátu A4 od zkušeného výrobce - značky Epson. Je určena pro službu do pracoven a kanceláří, kde je určena pro tisk až 35 000 stran za měsíc. Tiskárna poskytuje výstup na papír s rozlišením 1200 DPI a ve vysoké kvalitě díky tonerům AcuBrite. Dále se může pochlubit rychlostí tisku až 25 stran za minutu černobíle a až 5 stran za minutu barevně. Rychlé zpracování tiskových úloh vyřeší procesor taktovaný na frekvenci 80 MHz a 16 MB paměti. Vstupní část pro papír pojme až 200 stran A4 a samozřejmostí je prachový kryt udržující papír v čistotě. Pro připojení tiskárny je určeno standardní počítačové rozhraní USB 2.0.'),
(21, 3, 16, 'BROTHER HL-3040CN', 4699, 'n', 0, 'Špičková vysokorychlostní barevná LED tiskárna nabízející za velmi příjemnou cenu vlastnosti profesionálních přístrojů. LED technologie je zárukou špičkové kvality a rychlého tisku, díky čemuž je přístroj vhodný nejen pro tisk kancelářských dokumentů, ale například i fotografií, plakátů, letáků apod. Rozlišení tisku činí 2400 x 600 bodů, rychlost až 16 str./min.\r\nPřístroj je navržený zejména pro použití v menších kancelářích nebo podnicích. Zásobník tiskárny pojme až 250 listů papíru, kromě tisku na běžný papír je možné tisknout na celou řadu dalšího materiálu jako jsou obálky, štítky atd. Při tisku je možné použít média libovolných rozměrů do celkové velikosti 116 x 406,4 mm. Výstupní zásobník pojme 100 listů.\r\nDíky dodávanému softwaru (tiskárna je podporována pod systému Windows, Mac i Linux) je možné tisknout více stran na jeden list A4, tisknout plakáty skládající se z více běžných stran, použít vodoznak, tisknout brožury nebo tisk zabezpečit heslem. Obsluhu usnadňuje vestavěný displej a nápověda. Pro připojení k počítači je určeno rozhraní USB, nechybí však ani rozhraní RJ-45 pro připojení do počítačové sítě.'),
(22, 3, 2, 'HP Elite 7300 Microt', 22786, 'n', 1, 'Luxusně výkonná počítačová sestava značky HP, která je určena zejména pro náročné multimediální a herní spektrum uživatelů. Počítač je uložen v prostorově kompaktním formátu skříně Micro Tower s prakticky vyvedenými předními USB a audio konektory. I přes malé rozměry lze počítač rozšířit a přizpůsobovat budoucím požadavkům uživatele. Kromě zajímavého provedení a solidního výkonu může nabídnout multiformátovou čtečku paměťových karet a pevný disk s bohatou kapacitou 1000 GB, na kterou uskladníte opravdu velký počet dokumentů, fotografií, videí, her a dalších dat. Pro zálohování dat nebo přehrávání médií poslouží DVD vypalovací mechanika a pro vysokorychlostní připojení dalších paměťových zařízení poslouží nejnovější USB 3.0.'),
(23, 5, 4, 'Dell GameBox eSuba U', 39999, 'n', 0, 'Vrcholově výkonná počítačová sestava reprezentující to absolutně nejvyspělejší a nejvýkonnější z hardware dostupného na trhu.\r\nOcení ho tedy velmi nároční uživatelé, kteří se rádi nechají unášet na vlně grafických požitků a žádají i velký prostor pro ukládání multimédií a her.\r\nS tím vším si spolehlivě poradí revoluční čtyřjádrový procesor Intel Core i7 2600K, který je druhou generací s tzv. jádrem Sandy Bridge. Jeho jádra jsou taktovaná na vysokou frekvenci 3,4 GHz a zásobení daty ke zpracování poskytne luxusních 16 GB operační paměti.\r\nVyvrcholením hardwarové skladby je pak prvotřídní grafická karta NVIDIA GeForce GTX580, takže nebude ani problém s hraním nejnovějších her ve vysokém rozlišení.'),
(24, 2, 8, 'Logitech Wireless Ke', 1025, 'n', 1, 'Štíhlá, ergonomicky provedená klávesnice s bezdrátovým přenosem signálu. Její speciální tvarování navozuje přirozenější polohu rukou a prodloužená spodní část dává odpočinout zápěstí. Díky tomu si užijete dlouhé hodiny psaní bez nežádoucí únavy či bolesti.\r\nNeuvěřitelná je i spotřeba klávesnice, na jedny baterie vydrží až tři roky (při dvou milionech úderů ročně).\r\nPřenos dat do PC či notebooku je řešen 2,4 GHz bezdrátovou technologií. O zpracování dat se stará miniaturní přijímač, který při zasunutí do USB portu téměř ani neregistrujete. Perfektní je jeho univerzálnost, umožňuje totiž připojení dalších kompatibilních zařízení Logitech (klávesnice, myši).'),
(25, 4, 11, 'Lenovo K73SV-TY252V', 18990, 'n', 0, 'Intel Core i7 2630QM s frekvencí 2 GHz\r\n6 MB L3 Cache, 4 GB DDR3, NVIDIA GeForce GT540M s 1 GB vlastní paměti, 17,3" TFT LCD s LED podsvícením, lesklý \r\nRozlišení: 1600 x 900 bodů'),
(26, 4, 1, 'notebook ACER Aspire', 7800, 'n', 1, '17" monitor, Intel Pentium Dual Core P6200 2,13 GHz, Intel HD Graphics, 4 GB DDR3, Webová kamera 0,3 Mpx, WiFi,3x USB 2.0 '),
(27, 4, 14, 'ToshibaFX603', 16000, 'n', 1, 'Intel Core i5 460M s frekvencí 2,53 GHz\r\n3 MB L3 Cache\r\n2 jádra, 4 thready Intel Turbo Boost s frekvencí 2,8 GHz\r\nMax TDP: 35 W, Operační paměť: 4 GB DDR3 1066 MHz\r\nNVIDIA GeForce GT425M s 1024 MB vlastní paměti\r\n15,6" TFT LCD HD Ready s LED podsvícením, lesklý\r\nRozlišení: 1366 x 768 bodů, 640 GB\r\n5400 RPM'),
(28, 2, 13, 'Klavesnice Gigabyte', 99, 'n', 0, 'Klasická, kvalitně zpracovaná počítačová klávesnice v šedém provedení disponuje tenkým kompaktním tělem a tlačítky s českými popisky. Velmi kvalitní membrány zaručují dlouhou životnost. Klávesnice je plně kompatibilní s operačními systémemy Microsoft. K počítači se klávesnice připojuje pomocí PS2 rozhraní.'),
(29, 3, 15, 'Tiskárna EPSON AcuLa', 1699, 'n', 1, 'Kvalitní, kompaktní i cenově atraktivní barevná laserová tiskárna formátu A4 od zkušeného výrobce - značky Epson. Je určena pro službu do pracoven a kanceláří, kde je určena pro tisk až 35 000 stran za měsíc. Tiskárna poskytuje výstup na papír s rozlišením 1200 DPI a ve vysoké kvalitě díky tonerům AcuBrite. Dále se může pochlubit rychlostí tisku až 25 stran za minutu černobíle a až 5 stran za minutu barevně.'),
(30, 3, 2, 'HP LaserJet M2727nfs', 11000, 'n', 1, 'Výkonné multifunkční zařízení spojující černobílou laserovou tiskárnu, kopírku, skener a fax.\r\nTechnologie tisku: monochromatická laserová\r\nRychlost tisku: až 26 stran/min\r\nKvalita tisku: až 1200 x 1200 DPI\r\nJazyk tiskárny: HP PCL 6, HP PCL 5e, emulace HP Postscript Level 3\r\nVýtisk první stránky: do 10 sekund'),
(31, 1, 1, 'Monitor 20" ACER M20', 3999, 'n', 1, 'Televizní monitor Acer M200HML je vybavený HD tunerem pro digitální pozemní vysílání, a velkým množstvím vstupů pro připojení DVD přehrávačů, herních konzolí a podobných zařízení.\r\nTN Podsvětlení: WLED\r\nÚhlopříčka: 20" (51 cm)\r\nRozlišení: 1600 x 900 bodů\r\nPoměr stran: 16:9\r\nDoba odezvy: 5 ms'),
(32, 3, 2, 'PC HP Pavilion Elite', 19599, 'n', 1, 'Extra výkonný, exkluzivně vybavený a hardwarově moderní herní počítač značky HP vhodný pro velmi náročné uživatele, kteří žádají masivní výkon a nechají se rádi unášet na vlně grafických požitků v nových počítačových hrách. \r\nIntel Core i7 2600 s frekvencí 3,4 GHz \r\n8 MB L3 Cache\r\n4 jádra, 8 threadů\r\nIntel Turbo Boost 2 s frekvencí 3,8 GHz');

--
-- Klíče pro exportované tabulky
--

--
-- Klíče pro tabulku `kategorie`
--
ALTER TABLE `kategorie`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `kategorie` (`kategorie`);

--
-- Klíče pro tabulku `uzivatele`
--
ALTER TABLE `uzivatele`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `jmeno` (`jmeno`);

--
-- Klíče pro tabulku `vyrobci`
--
ALTER TABLE `vyrobci`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `nazev` (`nazev`);

--
-- Klíče pro tabulku `vyrobky`
--
ALTER TABLE `vyrobky`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id_kategorie` (`id_kategorie`),
  ADD KEY `id_vyrobce` (`id_vyrobce`),
  ADD KEY `cena` (`cena`),
  ADD KEY `nazev` (`nazev`);

--
-- AUTO_INCREMENT pro tabulky
--

--
-- AUTO_INCREMENT pro tabulku `kategorie`
--
ALTER TABLE `kategorie`
  MODIFY `id` int(5) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;
--
-- AUTO_INCREMENT pro tabulku `uzivatele`
--
ALTER TABLE `uzivatele`
  MODIFY `id` tinyint(3) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT pro tabulku `vyrobci`
--
ALTER TABLE `vyrobci`
  MODIFY `id` int(5) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=21;
--
-- AUTO_INCREMENT pro tabulku `vyrobky`
--
ALTER TABLE `vyrobky`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=38;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
